Overview | Modules | Class Hierarchy | Classes | Members

# tlp::ControllerPluginsManager Class Reference

`#include <ControllerPluginsManager.h>`

Collaboration diagram for tlp::ControllerPluginsManager:

[legend]
List of all members.

## Detailed Description

Controller plugins manager.

Controller plugins manager

## Public Member Functions

- void loadPlugins (PluginLoader *plug=0)
- void initControllerPluginsList (MutableContainer< Controller * > &controllers)
- Controller * createController (const std::string &name)

## Static Public Member Functions

- static ControllerPluginsManager & getInst ()

## Member Function Documentation

Controller* tlp::ControllerPluginsManager::createController | ( | const std::string & | name | ) |

| return Controller with given name

static ControllerPluginsManager& tlp::ControllerPluginsManager::getInst | ( |  | ) | `[inline, static]`

void tlp::ControllerPluginsManager::initControllerPluginsList | ( | MutableContainer< Controller * > & | controllers | ) |

| Get the list of available plugins

void tlp::ControllerPluginsManager::loadPlugins | ( | PluginLoader * | plug = `0` | ) |

Tulip Software by LaBRI Visualization Team 2001 - 2010